1. 5. Store & Orders
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
      • Create Return Reason
      • Upload Return Attachment
      • Create Return
      • List Returns
      • Get Return
      • Approve Return
      • Reject Return
      • List Resolution Methods
      • Inspect Return
      • Cancel Return
      • Get Return Timeline
    • 4. Webhooks
      • Webhook Meta
      • List Webhooks
      • Create Webhook
      • Get Webhook
      • Update Webhook
      • Delete Webhook
      • Rotate Webhook Secret
      • Send Test Webhook
      • List Webhook Deliveries
      • Get Webhook Delivery
      • Retry Webhook Delivery
    • 5. Store & Orders
      • Get Store
        GET
      • List Orders
        GET
      • Get Order
        GET
  1. 5. Store & Orders

Get Store

GET
/partner/v1/store
The store the token is scoped to, with the refund methods partner returns can use there. Any valid token may call it (no scope required).

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/store' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": {},
        "slug": "string",
        "logo_url": "string",
        "currency": "string",
        "timezone": "string",
        "status": "string",
        "resolution_methods": [
            {
                "method": "string",
                "trigger": "string",
                "max_amount": 0,
                "currency": "string"
            }
        ]
    }
}
Previous
Retry Webhook Delivery
Next
List Orders
Built with